classification
Title: Update OpenSSL to 1.1.0h / 1.0.2o
Type: Stage: resolved
Components: Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, lisroach, miss-islington, ned.deily, steve.dower, zach.ware
Priority: deferred blocker Keywords: patch

Created on 2018-03-30 02:11 by ned.deily, last changed 2018-04-14 22:44 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6407 merged ned.deily, 2018-04-07 06:19
PR 6408 merged ned.deily, 2018-04-07 06:33
PR 6409 merged miss-islington, 2018-04-07 06:37
PR 6463 merged steve.dower, 2018-04-13 18:37
PR 6464 merged steve.dower, 2018-04-13 18:48
PR 6468 merged miss-islington, 2018-04-14 00:31
PR 6471 merged miss-islington, 2018-04-14 15:00
PR 6474 closed steve.dower, 2018-04-14 22:38
Messages (12)
msg314675 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-03-30 02:11
https://www.openssl.org/source/
msg314965 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2018-04-05 03:04
I'd like to help out with this, I see Christian is already providing a lot of compatibility for the latest versions of OpenSSL. What needs to be done for the update?
msg314966 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-05 03:08
Lisa, thanks for the offer but there's nothing much to be done.  It's just a reminder to Steve Dower for the Windows installer and to me for the macOS installer to update the respective installer build automation prior to the next releases.
msg315064 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-07 06:36
New changeset b405752dab95fa5dc65a19d94e798844d0378c61 by Ned Deily in branch 'master':
bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. (GH-6407)
https://github.com/python/cpython/commit/b405752dab95fa5dc65a19d94e798844d0378c61
msg315065 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-07 07:02
New changeset 12d1dcd1f8ec0a2f3d8c325aa8e3f2f05b75b188 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. (GH-6407) (GH-6409)
https://github.com/python/cpython/commit/12d1dcd1f8ec0a2f3d8c325aa8e3f2f05b75b188
msg315066 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-07 07:04
New changeset 76215a4481191b648de522a4e2120f60822f6b9c by Ned Deily in branch '3.6':
bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. (GH-6408)
https://github.com/python/cpython/commit/76215a4481191b648de522a4e2120f60822f6b9c
msg315278 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-04-14 00:30
New changeset b1dc07509f78b354e83f5f4a902f1ff80c7bb05d by Steve Dower in branch 'master':
bpo-33184: Update Windows installer to OpenSSL 1.1.0h (GH-6463)
https://github.com/python/cpython/commit/b1dc07509f78b354e83f5f4a902f1ff80c7bb05d
msg315279 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-04-14 00:31
New changeset 1672c2fbae6128ee4717e08c4e65a0ab99a02a02 by Steve Dower in branch '3.6':
bpo-33184: Update Windows installer to OpenSSL 1.0.2o (GH-6464)
https://github.com/python/cpython/commit/1672c2fbae6128ee4717e08c4e65a0ab99a02a02
msg315281 - (view) Author: miss-islington (miss-islington) Date: 2018-04-14 00:52
New changeset df958ff28af9c5c4563fd1b050f04f0e9745ab80 by Miss Islington (bot) in branch '3.7':
bpo-33184: Update Windows installer to OpenSSL 1.1.0h (GH-6463)
https://github.com/python/cpython/commit/df958ff28af9c5c4563fd1b050f04f0e9745ab80
msg315282 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-14 01:15
Steve, what about 2.7 for 2.7.15rc1?
(I'm working on that for the Mac installer now.)
msg315296 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-04-14 15:21
New changeset 01a0fd4a3a4cb9928518518acc9c9f2ed6e9a382 by Ned Deily (Miss Islington (bot)) in branch '2.7':
[2.7] bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. (GH-6408) (GH-6471)
https://github.com/python/cpython/commit/01a0fd4a3a4cb9928518518acc9c9f2ed6e9a382
msg315307 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-04-14 22:44
The 2.7 backport was merged by Benjamin into his release branch, which is why the PR shows "closed".
History
Date User Action Args
2018-04-14 22:44:24steve.dowersetstatus: open -> closed
resolution: fixed
messages: + msg315307

stage: patch review -> resolved
2018-04-14 22:38:18steve.dowersetpull_requests: + pull_request6175
2018-04-14 15:21:05ned.deilysetmessages: + msg315296
2018-04-14 15:00:54miss-islingtonsetstage: needs patch -> patch review
pull_requests: + pull_request6170
2018-04-14 01:15:08ned.deilysetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg315282

stage: resolved -> needs patch
2018-04-14 01:11:21steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-04-14 00:52:04miss-islingtonsetnosy: + miss-islington
messages: + msg315281
2018-04-14 00:31:18steve.dowersetmessages: + msg315279
2018-04-14 00:31:06miss-islingtonsetpull_requests: + pull_request6163
2018-04-14 00:30:38steve.dowersetmessages: + msg315278
2018-04-13 18:48:52steve.dowersetpull_requests: + pull_request6159
2018-04-13 18:37:34steve.dowersetpull_requests: + pull_request6158
2018-04-07 07:04:06ned.deilysetmessages: + msg315066
2018-04-07 07:02:43ned.deilysetmessages: + msg315065
2018-04-07 06:37:21miss-islingtonsetpull_requests: + pull_request6114
2018-04-07 06:36:05ned.deilysetmessages: + msg315064
2018-04-07 06:33:48ned.deilysetpull_requests: + pull_request6113
2018-04-07 06:19:16ned.deilysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request6112
2018-04-05 03:08:06ned.deilysetmessages: + msg314966
2018-04-05 03:04:54lisroachsetnosy: + lisroach
messages: + msg314965
2018-03-30 02:11:58ned.deilycreate